StreamIn (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.streaming
Class StreamIn

    java.lang.Object
      org.apache.cassandra.streaming.StreamIn

    public class StreamIn

extends java.lang.Object

for streaming data from other nodes in to this one. Sends a STREAM_REQUEST Message to the source node(s), after which StreamOut on that side takes over. See StreamOut for details.

Constructor Summary
`StreamIn()`

Method Summary
`static PendingFile` | `getContextMapping(PendingFile remote)` Translates remote files to local files by creating a local sstable per remote sstable.
`static void` | `requestRanges(java.net.InetAddress source, java.lang.String tableName, java.util.Collection<ColumnFamilyStore> columnFamilies, java.util.Collection<Range> ranges, java.lang.Runnable callback, OperationType type)` Request ranges to be transferred from specific CFs
`static void` | `requestRanges(java.net.InetAddress source, java.lang.String tableName, java.util.Collection<Range> ranges, java.lang.Runnable callback, OperationType type)` Request ranges for all column families in the given keyspace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamIn

    public StreamIn()

Method Detail

### requestRanges

    public static void requestRanges(java.net.InetAddress source,
                                     java.lang.String tableName,
                                     java.util.Collection<Range> ranges,
                                     java.lang.Runnable callback,
                                     OperationType type)

  Request ranges for all column families in the given keyspace.

### requestRanges

    public static void requestRanges(java.net.InetAddress source,
                                     java.lang.String tableName,
                                     java.util.Collection<ColumnFamilyStore> columnFamilies,
                                     java.util.Collection<Range> ranges,
                                     java.lang.Runnable callback,
                                     OperationType type)

  Request ranges to be transferred from specific CFs

### getContextMapping

    public static PendingFile getContextMapping(PendingFile remote)
                                         throws java.io.IOException

  Translates remote files to local files by creating a local sstable per remote sstable.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation